/**
 * @file
 * Cookiebot cookies functionality.
 */

/**
 * The asynchronous callback when the user accepts the use of cookies.
 */
function CookiebotCallback_OnAccept() {
  CookiebotUpdateCookies();
}

/**
 * The asynchronous callback when the user declines the use of cookies.
 */
function CookiebotCallback_OnDecline() {
  CookiebotUpdateCookies();
}

/**
 * Updates cookies for cookiebot.
 */
function CookiebotUpdateCookies() {
  var cookieNames = {
    1: 'necessary',
    2: 'preferences',
    3: 'statistics',
    4: 'marketing',
  };
  for (var key in cookieNames) {
    if (!cookieNames.hasOwnProperty(key)) continue;
    var value = cookieNames[key];
    if (Cookiebot.consent[value] === true) {
      jQuery.cookie('cookiebot-consent--' + value, 1);
    }
    else {
      jQuery.cookie('cookiebot-consent--' + value, 0);
    }
  }
}
